'GPIO Extension Mondule

GLOBAL CONST SETUP_OK           = 0
GLOBAL CONST SETUP_DEVMEM_FAIL  = 1
GLOBAL CONST SETUP_MALLOC_FAIL  = 2
GLOBAL CONST SETUP_MMAP_FAIL    = 3
GLOBAL CONST SETUP_CPUINFO_FAIL = 4
GLOBAL CONST SETUP_NOT_RPI_FAIL = 5

' Is really 0 for control register!
GLOBAL CONST IN   = 1
' Is really 1 for control register!
GLOBAL CONST OUT  = 0
GLOBAL CONST ALT0 = 4

GLOBAL CONST HIGH    = 1
GLOBAL CONST LOW     = 0

GLOBAL CONST PUD_OFF  = 0
GLOBAL CONST PUD_DOWN = 1
GLOBAL CONST PUD_UP   = 2


MODULE GPIO

DECLARE SUB    ::Setup             ALIAS     "sb_setup"                 LIB "gpio"
DECLARE SUB    ::ClearEventDetect  ALIAS     "sb_clear_event_detect"    LIB "gpio"
DECLARE SUB    ::EventDetected     ALIAS     "sb_eventdetected"         LIB "gpio"
DECLARE SUB    ::SetRisingEvent    ALIAS     "sb_set_rising_event"      LIB "gpio"
DECLARE SUB    ::SetFallingEvent   ALIAS     "sb_set_falling_event"     LIB "gpio"
DECLARE SUB    ::SetHighEvent      ALIAS     "sb_set_high_event"        LIB "gpio"
DECLARE SUB    ::SetLowEvent       ALIAS     "sb_set_low_event"         LIB "gpio"
DECLARE SUB    ::SetPullUpDn       ALIAS     "sb_set_pullupdn"          LIB "gpio"
DECLARE SUB    ::SetupGPIO         ALIAS     "sb_setup_gpio"            LIB "gpio"
DECLARE SUB    ::GPIOFunction      ALIAS     "sb_gpio_function"         LIB "gpio"
DECLARE SUB    ::OutputGPIO        ALIAS     "sb_output_gpio"           LIB "gpio"
DECLARE SUB    ::InputGPIO         ALIAS     "sb_input_gpio"            LIB "gpio"
DECLARE SUB    ::Cleanup           ALIAS     "sb_cleanup"               LIB "gpio"
DECLARE SUB    ::ShortWait         ALIAS     "sb_short_wait"            LIB "gpio"

END MODULE
